org.jfree.chart.labels

## Class StandardCategoryToolTipGenerator

- java.lang.Object
- - org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
  - - org.jfree.chart.labels.StandardCategoryToolTipGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, CategoryToolTipGenerator, org.jfree.util.PublicCloneable

Direct Known Subclasses:
  BoxAndWhiskerToolTipGenerator, IntervalCategoryToolTipGenerator

    public class StandardCategoryToolTipGenerator
    extends AbstractCategoryItemLabelGenerator
    implements CategoryToolTipGenerator, java.io.Serializable

A standard tool tip generator that can be used with a `CategoryItemRenderer`.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `DEFAULT_TOOL_TIP_FORMAT_STRING` The default format string.

### Constructor Summary

Constructors
Constructor and Description
`StandardCategoryToolTipGenerator()` Creates a new generator with a default number formatter.
`StandardCategoryToolTipGenerator(java.lang.String labelFormat, java.text.DateFormat formatter)` Creates a new generator with the specified date formatter.
`StandardCategoryToolTipGenerator(java.lang.String labelFormat, java.text.NumberFormat formatter)` Creates a new generator with the specified number formatter.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this generator for equality with an arbitrary object.
`java.lang.String` `generateToolTip(CategoryDataset dataset, int row, int column)` Generates the tool tip text for an item in a dataset.

### Methods inherited from class org.jfree.chart.labels.AbstractCategoryItemLabelGenerator

`clone, createItemArray, generateColumnLabel, generateLabelString, generateRowLabel, getDateFormat, getLabelFormat, getNumberFormat, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_TOOL_TIP_FORMAT_STRING

    public static final java.lang.String DEFAULT_TOOL_TIP_FORMAT_STRING

The default format string.

See Also:
  Constant Field Values

### Constructor Detail

#### StandardCategoryToolTipGenerator

    public StandardCategoryToolTipGenerator()

Creates a new generator with a default number formatter.

#### StandardCategoryToolTipGenerator

    public StandardCategoryToolTipGenerator(java.lang.String labelFormat,
                                    java.text.NumberFormat formatter)

Creates a new generator with the specified number formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the number formatter (`null` not permitted).

#### StandardCategoryToolTipGenerator

    public StandardCategoryToolTipGenerator(java.lang.String labelFormat,
                                    java.text.DateFormat formatter)

Creates a new generator with the specified date formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the date formatter (`null` not permitted).

### Method Detail

#### generateToolTip

    public java.lang.String generateToolTip(CategoryDataset dataset,
                                   int row,
                                   int column)

Generates the tool tip text for an item in a dataset. Note: in the current dataset implementation, each row is a series, and each column contains values for a particular category.

Specified by:
  `generateToolTip` in interface `CategoryToolTipGenerator`
Parameters:
  `dataset` - the dataset (`null` not permitted).
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The tooltip text (possibly `null`).

#### equals

    public boolean equals(java.lang.Object obj)

Tests this generator for equality with an arbitrary object.

Overrides:
  `equals` in class `AbstractCategoryItemLabelGenerator`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.